import { Repository } from 'typeorm';
import { Tenant } from './entities/tenant.entity';
export declare class TenantsService {
    private readonly tenantRepository;
    constructor(tenantRepository: Repository<Tenant>);
    findOne(id: string): Promise<Tenant>;
    findBySlug(slug: string): Promise<Tenant | null>;
}
